
#ifndef SPECTRE_INTPUT_DEVICE_H
#define SPECTRE_INTPUT_DEVICE_H

class InputDevice
{
friend class InputModule;

public :
	virtual ~InputDevice();

	virtual void init();

protected :

	virtual void update(InputModule *input) = 0;
};

#endif /* SPECTRE_INTPUT_DEVICE_H */
